Name: resource-agents
Version: 3.9.2
Release: %mkrel 1
Summary: Open Cluster Framework (OCF) resource agents
Group: System/Kernel and hardware
URL: https://github.com/ClusterLabs/resource-agents
Source: https://fedorahosted.org/releases/r/e/resource-agents/resource-agents-%{version}.tar.bz2
License: GPLv2
Conflicts: cman < 3.0.0
BuildRequires: nss-devel docbook-style-xsl
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: cluster-glue-devel
BuildRequires: xsltproc
BuildRoot: %{_tmppath}/%{name}-root

%description
This repository contains resource agents (RAs) compliant
with the Open Cluster Framework (OCF) specification.

%package -n ldirectord
Summary: Daemon to monitor remote services and control Linux Virtual Server
Group: System/Kernel and hardware
License: GPLv2+
Requires: logrotate ipvsadm

%description -n ldirectord
ldirectord is a daemon to monitor and administer real servers in a
cluster of load balanced virtual servers.

%prep
%setup -q

%build
./autogen.sh
%configure --with-initdir=%{_initrddir}

%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/README.webapps
%dir %{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/shellfuncs
%dir %{_logdir}/cluster
%dir %{_var}/run/resource-agents
%{_includedir}/heartbeat
%{_mandir}/man7/ocf_heartbeat_*.7*
%{_mandir}/man8/ocf-tester.8*
%{_mandir}/man8/sfex_init.8*
%{_datadir}/cluster
%{_datadir}/resource-agents
%{_libdir}/heartbeat
%{_sbindir}/ocf-tester
%{_sbindir}/ocft
%{_sbindir}/rhev-check.sh
%{_sbindir}/sfex_init
%{_sbindir}/sfex_stat
%{_usr}/lib/ocf

%post -n ldirectord
%_post_service ldirectord

%preun -n ldirectord
%_preun_service ldirectord

%files -n ldirectord
%defattr(-,root,root)
%dir %{_sysconfdir}/ha.d/resource.d
%config(noreplace) %{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
%config(noreplace) %{_initrddir}/ldirectord
%{_sbindir}/ldirectord
%{_mandir}/man8/ldirectord.8*



%changelog

* Fri Apr 20 2012 boklm <boklm> 3.9.2-1.mga2
+ Revision: 232148
- version 3.9.2
- add ldirectord subpackage

* Fri May 20 2011 boklm <boklm> 3.0.17-2.mga1
+ Revision: 99967
- imported package resource-agents


* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0.17-2mdv2011.0
+ Revision: 669420
- mass rebuild

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.17-1mdv2011.0
+ Revision: 585433
- update to new version 3.0.17

* Tue Sep 07 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.16-1mdv2011.0
+ Revision: 576590
- update to new version 3.0.16

* Tue May 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.11-1mdv2010.1
+ Revision: 542054
- update to new version 3.0.11

* Fri Jan 29 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.7-1mdv2010.1
+ Revision: 497878
- update to new version 3.0.7

* Mon Jan 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.6-1mdv2010.1
+ Revision: 486173
- update to new version 3.0.6

* Wed Dec 02 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.5-1mdv2010.1
+ Revision: 472568
- update to new version 3.0.5

* Fri Nov 20 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.4-1mdv2010.1
+ Revision: 467614
- update to new version 3.0.4

* Wed Oct 14 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 457381
- New version 3.0.3
- import resource-agents


